Activity log for bug #1809407

Date Who What changed Old value New value Message
2018-12-21 06:25:32 Kevin McMurtrie bug added bug
2018-12-21 07:00:48 Daniel van Vugt affects xorg (Ubuntu) gnome-shell (Ubuntu)
2018-12-21 07:01:49 Daniel van Vugt gnome-shell (Ubuntu): status New Incomplete
2018-12-21 07:01:58 Daniel van Vugt tags amd64 apport-bug cosmic ubuntu amd64 apport-bug cosmic nvidia ubuntu
2018-12-21 07:02:04 Daniel van Vugt bug task added gdm3 (Ubuntu)
2018-12-21 07:02:11 Daniel van Vugt gdm3 (Ubuntu): status New Incomplete
2018-12-21 07:03:34 Daniel van Vugt summary No unlock screen [nvidia] Lock screen is a black background with pixel garbage. Bitmap garbage flashes on the screen when interacting with anything.
2018-12-21 07:04:59 Daniel van Vugt summary [nvidia] Lock screen is a black background with pixel garbage. Bitmap garbage flashes on the screen when interacting with anything. [nvidia] After resume the unlock screen is a black background with pixel garbage. Bitmap garbage flashes on the screen when interacting with anything.
2018-12-21 07:05:09 Daniel van Vugt tags amd64 apport-bug cosmic nvidia ubuntu amd64 apport-bug cosmic nvidia resume suspend-resume ubuntu
2019-02-21 04:17:12 Launchpad Janitor gdm3 (Ubuntu): status Incomplete Expired
2019-02-21 04:17:15 Launchpad Janitor gnome-shell (Ubuntu): status Incomplete Expired
2019-02-21 04:37:17 Daniel van Vugt gdm3 (Ubuntu): status Expired New
2019-02-21 04:37:20 Daniel van Vugt gnome-shell (Ubuntu): status Expired New
2019-03-29 02:52:15 Daniel van Vugt marked as duplicate 1576859
2019-03-29 04:50:59 Daniel van Vugt bug task added nvidia-graphics-drivers-390 (Ubuntu)
2019-03-29 04:51:20 Daniel van Vugt bug task added nvidia-graphics-drivers-418 (Ubuntu)
2019-03-29 04:57:03 Daniel van Vugt removed duplicate marker 1576859
2019-03-29 04:57:08 Launchpad Janitor gdm3 (Ubuntu): status New Confirmed
2019-03-29 04:57:08 Launchpad Janitor gnome-shell (Ubuntu): status New Confirmed
2019-03-29 04:57:08 Launchpad Janitor nvidia-graphics-drivers-390 (Ubuntu): status New Confirmed
2019-03-29 04:57:08 Launchpad Janitor nvidia-graphics-drivers-418 (Ubuntu): status New Confirmed
2019-03-29 04:57:53 Daniel van Vugt bug task deleted gdm3 (Ubuntu)
2019-03-29 04:59:36 Daniel van Vugt bug task added mutter (Ubuntu)
2019-03-29 04:59:42 Daniel van Vugt mutter (Ubuntu): status New Confirmed
2019-03-29 04:59:53 Daniel van Vugt tags amd64 apport-bug cosmic nvidia resume suspend-resume ubuntu amd64 apport-bug cosmic disco nvidia resume suspend-resume ubuntu
2019-04-11 01:50:58 Daniel van Vugt summary [nvidia] After resume the unlock screen is a black background with pixel garbage. Bitmap garbage flashes on the screen when interacting with anything. [nvidia] Corrupted wallpaper after resuming from sleep
2019-04-11 01:51:48 Daniel van Vugt summary [nvidia] Corrupted wallpaper after resuming from sleep [nvidia] Corrupted wallpaper after resuming from suspend
2019-04-11 01:53:12 Daniel van Vugt tags amd64 apport-bug cosmic disco nvidia resume suspend-resume ubuntu amd64 apport-bug cosmic disco nvidia resume suspend-resume ubuntu xenial
2019-04-16 03:32:08 Logan Rosen bug added subscriber Logan Rosen
2019-04-18 15:48:17 Jeremy Soller bug watch added https://gitlab.gnome.org/GNOME/gnome-shell/issues/1084
2019-04-18 15:48:17 Jeremy Soller bug task added gnome-shell
2019-04-18 15:50:18 Jeremy Soller bug added subscriber Jeremy Soller
2019-04-18 16:30:01 Jeremy Soller attachment added nvidia-background-workaround.patch https://bugs.launchpad.net/gnome-shell/+bug/1809407/+attachment/5256741/+files/nvidia-background-workaround.patch
2019-04-18 17:19:47 Bug Watch Updater gnome-shell: status Unknown New
2019-04-18 20:23:41 Ubuntu Foundations Team Bug Bot tags amd64 apport-bug cosmic disco nvidia resume suspend-resume ubuntu xenial amd64 apport-bug cosmic disco nvidia patch resume suspend-resume ubuntu xenial
2019-04-18 20:23:50 Ubuntu Foundations Team Bug Bot bug added subscriber Ubuntu Review Team
2019-04-23 02:32:29 Daniel van Vugt bug task deleted nvidia-graphics-drivers-390 (Ubuntu)
2019-04-23 02:32:34 Daniel van Vugt bug task deleted nvidia-graphics-drivers-418 (Ubuntu)
2019-04-23 02:32:44 Daniel van Vugt gnome-shell (Ubuntu): importance Undecided High
2019-04-23 02:32:47 Daniel van Vugt mutter (Ubuntu): importance Undecided High
2019-04-23 02:32:50 Daniel van Vugt gnome-shell (Ubuntu): status Confirmed Triaged
2019-04-23 02:32:52 Daniel van Vugt mutter (Ubuntu): status Confirmed Triaged
2019-04-24 12:56:04 Mike Wilson bug added subscriber Mike Wilson
2019-04-26 07:16:28 Ivo bug added subscriber Ivo
2019-05-03 07:02:31 Daniel van Vugt description Every other wake from sleep presents a corrupted screen with no unlock app. There's a dock and system menu on a black background with pixel garbage. Some personal information in the dock's large window thumbnails. Bitmap garbage flashes on the screen when interacting with anything. Only workaround is doing another sleep-wake cycle. ProblemType: Bug DistroRelease: Ubuntu 18.10 Package: xorg 1:7.7+19ubuntu8 ProcVersionSignature: Ubuntu 4.18.0-12.13-generic 4.18.17 Uname: Linux 4.18.0-12-generic x86_64 NonfreeKernelModules: nvidia_modeset nvidia .proc.driver.nvidia.gpus.0000.4b.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:4b:00.0' .proc.driver.nvidia.registry: Binary: "" .proc.driver.nvidia.version: NVRM version: NVIDIA UNIX x86_64 Kernel Module 390.87 Tue Aug 21 12:33:05 PDT 2018 GCC version: gcc version 8.2.0 (Ubuntu 8.2.0-7ubuntu1) ApportVersion: 2.20.10-0ubuntu13.1 Architecture: amd64 BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log' CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins' CompositorRunning: None CurrentDesktop: ubuntu:GNOME Date: Thu Dec 20 22:19:29 2018 DistUpgraded: 2018-12-01 23:07:50,385 ERROR got error from PostInstallScript ./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process “./xorg_fix_proprietary.py” (No such file or directory) (8)) DistroCodename: cosmic DistroVariant: ubuntu DkmsStatus: nvidia, 390.87, 4.18.0-11-generic, x86_64: installed nvidia, 390.87, 4.18.0-12-generic, x86_64: installed virtualbox, 5.2.18, 4.18.0-11-generic, x86_64: installed virtualbox, 5.2.18, 4.18.0-12-generic, x86_64: installed ExtraDebuggingInterest: Yes, if not too technical GraphicsCard: NVIDIA Corporation GP106 [GeForce GTX 1060 3GB] [10de:1c02] (rev a1) (prog-if 00 [VGA controller]) Subsystem: eVga.com. Corp. GP106 [GeForce GTX 1060 3GB] [3842:6162] InstallationDate: Installed on 2018-10-28 (54 days ago) InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725) MachineType: Gigabyte Technology Co., Ltd. Default string ProcEnviron: TERM=xterm-256color PATH=(custom, no user) XDG_RUNTIME_DIR=<set> LANG=en_US.UTF-8 SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-12-generic root=UUID=a8c839e7-c579-4699-999a-748f804ff9e0 ro quiet splash vt.handoff=1 SourcePackage: xorg Symptom: display UpgradeStatus: Upgraded to cosmic on 2018-12-02 (18 days ago) dmi.bios.date: 06/08/2017 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: F24 dmi.board.asset.tag: Default string dmi.board.name: X99P-SLI-CF dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.asset.tag: Default string dmi.chassis.type: 3 dmi.chassis.vendor: Default string dmi.chassis.version: Default string dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF24:bd06/08/2017:svnGigabyteTechnologyCo.,Ltd.:pnDefaultstring:pvrDefaultstring:rvnGigabyteTechnologyCo.,Ltd.:rnX99P-SLI-CF:rvrx.x:cvnDefaultstring:ct3:cvrDefaultstring: dmi.product.family: Default string dmi.product.name: Default string dmi.product.sku: Default string dmi.product.version: Default string dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.95-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1 version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-3ubuntu2.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1ubuntu1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3 https://trello.com/c/i5hENxSO Every other wake from sleep presents a corrupted screen with no unlock app. There's a dock and system menu on a black background with pixel garbage. Some personal information in the dock's large window thumbnails. Bitmap garbage flashes on the screen when interacting with anything. Only workaround is doing another sleep-wake cycle. ProblemType: Bug DistroRelease: Ubuntu 18.10 Package: xorg 1:7.7+19ubuntu8 ProcVersionSignature: Ubuntu 4.18.0-12.13-generic 4.18.17 Uname: Linux 4.18.0-12-generic x86_64 NonfreeKernelModules: nvidia_modeset nvidia .proc.driver.nvidia.gpus.0000.4b.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:4b:00.0' .proc.driver.nvidia.registry: Binary: "" .proc.driver.nvidia.version:  NVRM version: NVIDIA UNIX x86_64 Kernel Module 390.87 Tue Aug 21 12:33:05 PDT 2018  GCC version: gcc version 8.2.0 (Ubuntu 8.2.0-7ubuntu1) ApportVersion: 2.20.10-0ubuntu13.1 Architecture: amd64 BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log' CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins' CompositorRunning: None CurrentDesktop: ubuntu:GNOME Date: Thu Dec 20 22:19:29 2018 DistUpgraded: 2018-12-01 23:07:50,385 ERROR got error from PostInstallScript ./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process “./xorg_fix_proprietary.py” (No such file or directory) (8)) DistroCodename: cosmic DistroVariant: ubuntu DkmsStatus:  nvidia, 390.87, 4.18.0-11-generic, x86_64: installed  nvidia, 390.87, 4.18.0-12-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-11-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-12-generic, x86_64: installed ExtraDebuggingInterest: Yes, if not too technical GraphicsCard:  NVIDIA Corporation GP106 [GeForce GTX 1060 3GB] [10de:1c02] (rev a1) (prog-if 00 [VGA controller])    Subsystem: eVga.com. Corp. GP106 [GeForce GTX 1060 3GB] [3842:6162] InstallationDate: Installed on 2018-10-28 (54 days ago) InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725) MachineType: Gigabyte Technology Co., Ltd. Default string ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-12-generic root=UUID=a8c839e7-c579-4699-999a-748f804ff9e0 ro quiet splash vt.handoff=1 SourcePackage: xorg Symptom: display UpgradeStatus: Upgraded to cosmic on 2018-12-02 (18 days ago) dmi.bios.date: 06/08/2017 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: F24 dmi.board.asset.tag: Default string dmi.board.name: X99P-SLI-CF dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.asset.tag: Default string dmi.chassis.type: 3 dmi.chassis.vendor: Default string dmi.chassis.version: Default string dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF24:bd06/08/2017:svnGigabyteTechnologyCo.,Ltd.:pnDefaultstring:pvrDefaultstring:rvnGigabyteTechnologyCo.,Ltd.:rnX99P-SLI-CF:rvrx.x:cvnDefaultstring:ct3:cvrDefaultstring: dmi.product.family: Default string dmi.product.name: Default string dmi.product.sku: Default string dmi.product.version: Default string dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.95-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1 version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-3ubuntu2.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1ubuntu1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3
2019-05-03 07:04:02 Daniel van Vugt tags amd64 apport-bug cosmic disco nvidia patch resume suspend-resume ubuntu xenial amd64 apport-bug cosmic disco eoan nvidia patch resume suspend-resume ubuntu xenial
2019-05-03 07:13:20 Jean-Baptiste Lallement tags amd64 apport-bug cosmic disco eoan nvidia patch resume suspend-resume ubuntu xenial amd64 apport-bug cosmic disco eoan nvidia patch resume rls-ee-incoming suspend-resume ubuntu xenial
2019-05-03 07:16:41 Tom Reynolds bug added subscriber Ubuntu-discuss Bug team
2019-05-03 20:40:31 Gwolf2u attachment added temp fix https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1809407/+attachment/5261354/+files/wallpaper_fix.sh
2019-05-04 19:38:53 Gwolf2u bug added subscriber Gwolf2u
2019-05-06 15:38:07 Yan Li bug added subscriber Yan Li
2019-05-07 13:59:16 Sebastien Bacher gnome-shell (Ubuntu): assignee Daniel van Vugt (vanvugt)
2019-05-07 13:59:22 Sebastien Bacher mutter (Ubuntu): assignee Daniel van Vugt (vanvugt)
2019-05-07 14:00:00 Sebastien Bacher nominated for series Ubuntu Disco
2019-05-07 14:00:00 Sebastien Bacher bug task added mutter (Ubuntu Disco)
2019-05-07 14:00:00 Sebastien Bacher bug task added gnome-shell (Ubuntu Disco)
2019-05-07 14:00:09 Sebastien Bacher gnome-shell (Ubuntu Disco): assignee Daniel van Vugt (vanvugt)
2019-05-07 14:00:13 Sebastien Bacher mutter (Ubuntu Disco): assignee Daniel van Vugt (vanvugt)
2019-05-07 14:00:46 Sebastien Bacher tags amd64 apport-bug cosmic disco eoan nvidia patch resume rls-ee-incoming suspend-resume ubuntu xenial amd64 apport-bug cosmic disco eoan nvidia patch resume suspend-resume ubuntu xenial
2019-05-09 08:20:11 Launchpad Janitor gnome-shell (Ubuntu Disco): status New Confirmed
2019-05-09 08:20:11 Launchpad Janitor mutter (Ubuntu Disco): status New Confirmed
2019-05-09 08:44:44 Daniel van Vugt nominated for series Ubuntu Eoan
2019-05-09 08:44:44 Daniel van Vugt bug task added mutter (Ubuntu Eoan)
2019-05-09 08:44:44 Daniel van Vugt bug task added gnome-shell (Ubuntu Eoan)
2019-05-09 08:44:44 Daniel van Vugt nominated for series Ubuntu Bionic
2019-05-09 08:44:44 Daniel van Vugt bug task added mutter (Ubuntu Bionic)
2019-05-09 08:44:44 Daniel van Vugt bug task added gnome-shell (Ubuntu Bionic)
2019-05-09 09:03:08 Petter Sundlöf attachment added MVIMG_20190509_110046.jpg https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1809407/+attachment/5262620/+files/MVIMG_20190509_110046.jpg
2019-05-09 13:22:10 Launchpad Janitor gnome-shell (Ubuntu Bionic): status New Confirmed
2019-05-09 13:22:10 Launchpad Janitor mutter (Ubuntu Bionic): status New Confirmed
2019-05-09 13:44:44 Stuardo -StR- Rodríguez bug added subscriber Stuardo -StR- Rodríguez
2019-05-09 17:52:24 Ievgen Sobko bug added subscriber Ievgen Sobko
2019-05-09 20:49:43 Petter Sundlöf attachment added VID_20190509_224648.mp4 https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1809407/+attachment/5262744/+files/VID_20190509_224648.mp4
2019-05-13 16:54:29 Shane Synan bug added subscriber Shane Synan
2019-05-14 13:52:00 Ken VanDine gnome-shell (Ubuntu Bionic): assignee Daniel van Vugt (vanvugt)
2019-05-14 13:52:10 Ken VanDine mutter (Ubuntu Bionic): assignee Daniel van Vugt (vanvugt)
2019-05-17 05:49:32 Daniel van Vugt mutter (Ubuntu Eoan): status Triaged In Progress
2019-05-19 00:33:55 Chris Ayoub bug added subscriber Chris Ayoub
2019-05-25 15:53:13 mikbini bug added subscriber mikbini
2019-06-02 06:53:05 Sebastian bug added subscriber Sebastian
2019-06-07 09:35:25 Daniel van Vugt bug task deleted gnome-shell (Ubuntu)
2019-06-07 09:35:29 Daniel van Vugt bug task deleted gnome-shell (Ubuntu Bionic)
2019-06-07 09:35:37 Daniel van Vugt bug task deleted gnome-shell (Ubuntu Disco)
2019-06-07 09:35:42 Daniel van Vugt bug task deleted gnome-shell (Ubuntu Eoan)
2019-06-07 10:18:59 Daniel van Vugt merge proposal linked https://code.launchpad.net/~vanvugt/ubuntu/+source/mutter/+git/mutter/+merge/368536
2019-06-12 20:04:58 RUben bug added subscriber RUben
2019-06-27 02:07:38 Daniel van Vugt summary [nvidia] Corrupted wallpaper after resuming from suspend [nvidia] Corrupted wallpaper after resuming from suspend or hibernation
2019-07-12 17:36:48 Diego bug added subscriber Diego
2019-07-12 17:38:20 Diego attachment added Flicker https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/1809407/+attachment/5276744/+files/IMG_20190711_221552562.jpg
2019-07-17 14:30:35 Akshay R. Kapadia bug added subscriber Akshay R. Kapadia
2019-07-17 14:30:46 Akshay R. Kapadia removed subscriber Akshay R. Kapadia
2019-07-22 01:59:27 Daniel van Vugt gnome-shell: importance Unknown Undecided
2019-07-22 01:59:27 Daniel van Vugt gnome-shell: remote watch gitlab.gnome.org/GNOME/gnome-shell/issues #1084
2019-07-22 01:59:47 Daniel van Vugt bug watch added https://gitlab.gnome.org/GNOME/gnome-shell/issues/1084
2019-07-22 01:59:47 Daniel van Vugt gnome-shell: importance Undecided Unknown
2019-07-22 01:59:47 Daniel van Vugt gnome-shell: status New Unknown
2019-07-22 01:59:47 Daniel van Vugt gnome-shell: remote watch gitlab.gnome.org/GNOME/gnome-shell/issues #1084
2019-07-22 04:12:50 Daniel van Vugt tags amd64 apport-bug cosmic disco eoan nvidia patch resume suspend-resume ubuntu xenial amd64 apport-bug disco eoan nvidia patch resume suspend-resume ubuntu xenial
2019-08-03 01:47:37 Angus Trau bug added subscriber Angus Trau
2019-08-05 00:34:44 WinEunuchs2Unix bug added subscriber WinEunuchs2Unix
2019-08-15 11:46:13 Alexander bug added subscriber Alexander
2019-08-27 13:14:14 Launchpad Janitor mutter (Ubuntu Eoan): status In Progress Fix Released
2019-09-02 15:00:18 Bug Watch Updater gnome-shell: status Unknown Fix Released
2019-09-02 16:08:54 Patrick Babic bug added subscriber Patrick Babic
2019-09-06 08:53:23 Daniel van Vugt mutter (Ubuntu Disco): status Confirmed In Progress
2019-09-13 17:05:53 satmandu bug added subscriber satmandu
2019-09-16 18:52:46 Sergey Gavrilov bug added subscriber Sergey Gavrilov
2019-09-19 10:16:19 Launchpad Janitor merge proposal linked https://code.launchpad.net/~vanvugt/ubuntu/+source/mutter/+git/mutter/+merge/372984
2019-09-19 11:28:06 Daniel van Vugt description https://trello.com/c/i5hENxSO Every other wake from sleep presents a corrupted screen with no unlock app. There's a dock and system menu on a black background with pixel garbage. Some personal information in the dock's large window thumbnails. Bitmap garbage flashes on the screen when interacting with anything. Only workaround is doing another sleep-wake cycle. ProblemType: Bug DistroRelease: Ubuntu 18.10 Package: xorg 1:7.7+19ubuntu8 ProcVersionSignature: Ubuntu 4.18.0-12.13-generic 4.18.17 Uname: Linux 4.18.0-12-generic x86_64 NonfreeKernelModules: nvidia_modeset nvidia .proc.driver.nvidia.gpus.0000.4b.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:4b:00.0' .proc.driver.nvidia.registry: Binary: "" .proc.driver.nvidia.version:  NVRM version: NVIDIA UNIX x86_64 Kernel Module 390.87 Tue Aug 21 12:33:05 PDT 2018  GCC version: gcc version 8.2.0 (Ubuntu 8.2.0-7ubuntu1) ApportVersion: 2.20.10-0ubuntu13.1 Architecture: amd64 BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log' CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins' CompositorRunning: None CurrentDesktop: ubuntu:GNOME Date: Thu Dec 20 22:19:29 2018 DistUpgraded: 2018-12-01 23:07:50,385 ERROR got error from PostInstallScript ./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process “./xorg_fix_proprietary.py” (No such file or directory) (8)) DistroCodename: cosmic DistroVariant: ubuntu DkmsStatus:  nvidia, 390.87, 4.18.0-11-generic, x86_64: installed  nvidia, 390.87, 4.18.0-12-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-11-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-12-generic, x86_64: installed ExtraDebuggingInterest: Yes, if not too technical GraphicsCard:  NVIDIA Corporation GP106 [GeForce GTX 1060 3GB] [10de:1c02] (rev a1) (prog-if 00 [VGA controller])    Subsystem: eVga.com. Corp. GP106 [GeForce GTX 1060 3GB] [3842:6162] InstallationDate: Installed on 2018-10-28 (54 days ago) InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725) MachineType: Gigabyte Technology Co., Ltd. Default string ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-12-generic root=UUID=a8c839e7-c579-4699-999a-748f804ff9e0 ro quiet splash vt.handoff=1 SourcePackage: xorg Symptom: display UpgradeStatus: Upgraded to cosmic on 2018-12-02 (18 days ago) dmi.bios.date: 06/08/2017 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: F24 dmi.board.asset.tag: Default string dmi.board.name: X99P-SLI-CF dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.asset.tag: Default string dmi.chassis.type: 3 dmi.chassis.vendor: Default string dmi.chassis.version: Default string dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF24:bd06/08/2017:svnGigabyteTechnologyCo.,Ltd.:pnDefaultstring:pvrDefaultstring:rvnGigabyteTechnologyCo.,Ltd.:rnX99P-SLI-CF:rvrx.x:cvnDefaultstring:ct3:cvrDefaultstring: dmi.product.family: Default string dmi.product.name: Default string dmi.product.sku: Default string dmi.product.version: Default string dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.95-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1 version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-3ubuntu2.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1ubuntu1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3 [Impact] [Test Case] [Regression Potential] [Original Report] https://trello.com/c/i5hENxSO Every other wake from sleep presents a corrupted screen with no unlock app. There's a dock and system menu on a black background with pixel garbage. Some personal information in the dock's large window thumbnails. Bitmap garbage flashes on the screen when interacting with anything. Only workaround is doing another sleep-wake cycle. ProblemType: Bug DistroRelease: Ubuntu 18.10 Package: xorg 1:7.7+19ubuntu8 ProcVersionSignature: Ubuntu 4.18.0-12.13-generic 4.18.17 Uname: Linux 4.18.0-12-generic x86_64 NonfreeKernelModules: nvidia_modeset nvidia .proc.driver.nvidia.gpus.0000.4b.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:4b:00.0' .proc.driver.nvidia.registry: Binary: "" .proc.driver.nvidia.version:  NVRM version: NVIDIA UNIX x86_64 Kernel Module 390.87 Tue Aug 21 12:33:05 PDT 2018  GCC version: gcc version 8.2.0 (Ubuntu 8.2.0-7ubuntu1) ApportVersion: 2.20.10-0ubuntu13.1 Architecture: amd64 BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log' CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins' CompositorRunning: None CurrentDesktop: ubuntu:GNOME Date: Thu Dec 20 22:19:29 2018 DistUpgraded: 2018-12-01 23:07:50,385 ERROR got error from PostInstallScript ./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process “./xorg_fix_proprietary.py” (No such file or directory) (8)) DistroCodename: cosmic DistroVariant: ubuntu DkmsStatus:  nvidia, 390.87, 4.18.0-11-generic, x86_64: installed  nvidia, 390.87, 4.18.0-12-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-11-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-12-generic, x86_64: installed ExtraDebuggingInterest: Yes, if not too technical GraphicsCard:  NVIDIA Corporation GP106 [GeForce GTX 1060 3GB] [10de:1c02] (rev a1) (prog-if 00 [VGA controller])    Subsystem: eVga.com. Corp. GP106 [GeForce GTX 1060 3GB] [3842:6162] InstallationDate: Installed on 2018-10-28 (54 days ago) InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725) MachineType: Gigabyte Technology Co., Ltd. Default string ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-12-generic root=UUID=a8c839e7-c579-4699-999a-748f804ff9e0 ro quiet splash vt.handoff=1 SourcePackage: xorg Symptom: display UpgradeStatus: Upgraded to cosmic on 2018-12-02 (18 days ago) dmi.bios.date: 06/08/2017 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: F24 dmi.board.asset.tag: Default string dmi.board.name: X99P-SLI-CF dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.asset.tag: Default string dmi.chassis.type: 3 dmi.chassis.vendor: Default string dmi.chassis.version: Default string dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF24:bd06/08/2017:svnGigabyteTechnologyCo.,Ltd.:pnDefaultstring:pvrDefaultstring:rvnGigabyteTechnologyCo.,Ltd.:rnX99P-SLI-CF:rvrx.x:cvnDefaultstring:ct3:cvrDefaultstring: dmi.product.family: Default string dmi.product.name: Default string dmi.product.sku: Default string dmi.product.version: Default string dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.95-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1 version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-3ubuntu2.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1ubuntu1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3
2019-09-19 11:54:10 Daniel van Vugt description [Impact] [Test Case] [Regression Potential] [Original Report] https://trello.com/c/i5hENxSO Every other wake from sleep presents a corrupted screen with no unlock app. There's a dock and system menu on a black background with pixel garbage. Some personal information in the dock's large window thumbnails. Bitmap garbage flashes on the screen when interacting with anything. Only workaround is doing another sleep-wake cycle. ProblemType: Bug DistroRelease: Ubuntu 18.10 Package: xorg 1:7.7+19ubuntu8 ProcVersionSignature: Ubuntu 4.18.0-12.13-generic 4.18.17 Uname: Linux 4.18.0-12-generic x86_64 NonfreeKernelModules: nvidia_modeset nvidia .proc.driver.nvidia.gpus.0000.4b.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:4b:00.0' .proc.driver.nvidia.registry: Binary: "" .proc.driver.nvidia.version:  NVRM version: NVIDIA UNIX x86_64 Kernel Module 390.87 Tue Aug 21 12:33:05 PDT 2018  GCC version: gcc version 8.2.0 (Ubuntu 8.2.0-7ubuntu1) ApportVersion: 2.20.10-0ubuntu13.1 Architecture: amd64 BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log' CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins' CompositorRunning: None CurrentDesktop: ubuntu:GNOME Date: Thu Dec 20 22:19:29 2018 DistUpgraded: 2018-12-01 23:07:50,385 ERROR got error from PostInstallScript ./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process “./xorg_fix_proprietary.py” (No such file or directory) (8)) DistroCodename: cosmic DistroVariant: ubuntu DkmsStatus:  nvidia, 390.87, 4.18.0-11-generic, x86_64: installed  nvidia, 390.87, 4.18.0-12-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-11-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-12-generic, x86_64: installed ExtraDebuggingInterest: Yes, if not too technical GraphicsCard:  NVIDIA Corporation GP106 [GeForce GTX 1060 3GB] [10de:1c02] (rev a1) (prog-if 00 [VGA controller])    Subsystem: eVga.com. Corp. GP106 [GeForce GTX 1060 3GB] [3842:6162] InstallationDate: Installed on 2018-10-28 (54 days ago) InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725) MachineType: Gigabyte Technology Co., Ltd. Default string ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-12-generic root=UUID=a8c839e7-c579-4699-999a-748f804ff9e0 ro quiet splash vt.handoff=1 SourcePackage: xorg Symptom: display UpgradeStatus: Upgraded to cosmic on 2018-12-02 (18 days ago) dmi.bios.date: 06/08/2017 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: F24 dmi.board.asset.tag: Default string dmi.board.name: X99P-SLI-CF dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.asset.tag: Default string dmi.chassis.type: 3 dmi.chassis.vendor: Default string dmi.chassis.version: Default string dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF24:bd06/08/2017:svnGigabyteTechnologyCo.,Ltd.:pnDefaultstring:pvrDefaultstring:rvnGigabyteTechnologyCo.,Ltd.:rnX99P-SLI-CF:rvrx.x:cvnDefaultstring:ct3:cvrDefaultstring: dmi.product.family: Default string dmi.product.name: Default string dmi.product.sku: Default string dmi.product.version: Default string dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.95-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1 version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-3ubuntu2.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1ubuntu1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3 [Impact] The Nvidia (Xorg) driver corrupts the desktop wallpaper (by design) upon resuming from suspend. This creates a poor user experience and gives the impression of severe memory corruption. [Test Case] [Regression Potential] [Original Report] https://trello.com/c/i5hENxSO Every other wake from sleep presents a corrupted screen with no unlock app. There's a dock and system menu on a black background with pixel garbage. Some personal information in the dock's large window thumbnails. Bitmap garbage flashes on the screen when interacting with anything. Only workaround is doing another sleep-wake cycle. ProblemType: Bug DistroRelease: Ubuntu 18.10 Package: xorg 1:7.7+19ubuntu8 ProcVersionSignature: Ubuntu 4.18.0-12.13-generic 4.18.17 Uname: Linux 4.18.0-12-generic x86_64 NonfreeKernelModules: nvidia_modeset nvidia .proc.driver.nvidia.gpus.0000.4b.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:4b:00.0' .proc.driver.nvidia.registry: Binary: "" .proc.driver.nvidia.version:  NVRM version: NVIDIA UNIX x86_64 Kernel Module 390.87 Tue Aug 21 12:33:05 PDT 2018  GCC version: gcc version 8.2.0 (Ubuntu 8.2.0-7ubuntu1) ApportVersion: 2.20.10-0ubuntu13.1 Architecture: amd64 BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log' CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins' CompositorRunning: None CurrentDesktop: ubuntu:GNOME Date: Thu Dec 20 22:19:29 2018 DistUpgraded: 2018-12-01 23:07:50,385 ERROR got error from PostInstallScript ./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process “./xorg_fix_proprietary.py” (No such file or directory) (8)) DistroCodename: cosmic DistroVariant: ubuntu DkmsStatus:  nvidia, 390.87, 4.18.0-11-generic, x86_64: installed  nvidia, 390.87, 4.18.0-12-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-11-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-12-generic, x86_64: installed ExtraDebuggingInterest: Yes, if not too technical GraphicsCard:  NVIDIA Corporation GP106 [GeForce GTX 1060 3GB] [10de:1c02] (rev a1) (prog-if 00 [VGA controller])    Subsystem: eVga.com. Corp. GP106 [GeForce GTX 1060 3GB] [3842:6162] InstallationDate: Installed on 2018-10-28 (54 days ago) InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725) MachineType: Gigabyte Technology Co., Ltd. Default string ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-12-generic root=UUID=a8c839e7-c579-4699-999a-748f804ff9e0 ro quiet splash vt.handoff=1 SourcePackage: xorg Symptom: display UpgradeStatus: Upgraded to cosmic on 2018-12-02 (18 days ago) dmi.bios.date: 06/08/2017 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: F24 dmi.board.asset.tag: Default string dmi.board.name: X99P-SLI-CF dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.asset.tag: Default string dmi.chassis.type: 3 dmi.chassis.vendor: Default string dmi.chassis.version: Default string dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF24:bd06/08/2017:svnGigabyteTechnologyCo.,Ltd.:pnDefaultstring:pvrDefaultstring:rvnGigabyteTechnologyCo.,Ltd.:rnX99P-SLI-CF:rvrx.x:cvnDefaultstring:ct3:cvrDefaultstring: dmi.product.family: Default string dmi.product.name: Default string dmi.product.sku: Default string dmi.product.version: Default string dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.95-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1 version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-3ubuntu2.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1ubuntu1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3
2019-09-19 11:55:27 Daniel van Vugt description [Impact] The Nvidia (Xorg) driver corrupts the desktop wallpaper (by design) upon resuming from suspend. This creates a poor user experience and gives the impression of severe memory corruption. [Test Case] [Regression Potential] [Original Report] https://trello.com/c/i5hENxSO Every other wake from sleep presents a corrupted screen with no unlock app. There's a dock and system menu on a black background with pixel garbage. Some personal information in the dock's large window thumbnails. Bitmap garbage flashes on the screen when interacting with anything. Only workaround is doing another sleep-wake cycle. ProblemType: Bug DistroRelease: Ubuntu 18.10 Package: xorg 1:7.7+19ubuntu8 ProcVersionSignature: Ubuntu 4.18.0-12.13-generic 4.18.17 Uname: Linux 4.18.0-12-generic x86_64 NonfreeKernelModules: nvidia_modeset nvidia .proc.driver.nvidia.gpus.0000.4b.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:4b:00.0' .proc.driver.nvidia.registry: Binary: "" .proc.driver.nvidia.version:  NVRM version: NVIDIA UNIX x86_64 Kernel Module 390.87 Tue Aug 21 12:33:05 PDT 2018  GCC version: gcc version 8.2.0 (Ubuntu 8.2.0-7ubuntu1) ApportVersion: 2.20.10-0ubuntu13.1 Architecture: amd64 BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log' CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins' CompositorRunning: None CurrentDesktop: ubuntu:GNOME Date: Thu Dec 20 22:19:29 2018 DistUpgraded: 2018-12-01 23:07:50,385 ERROR got error from PostInstallScript ./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process “./xorg_fix_proprietary.py” (No such file or directory) (8)) DistroCodename: cosmic DistroVariant: ubuntu DkmsStatus:  nvidia, 390.87, 4.18.0-11-generic, x86_64: installed  nvidia, 390.87, 4.18.0-12-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-11-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-12-generic, x86_64: installed ExtraDebuggingInterest: Yes, if not too technical GraphicsCard:  NVIDIA Corporation GP106 [GeForce GTX 1060 3GB] [10de:1c02] (rev a1) (prog-if 00 [VGA controller])    Subsystem: eVga.com. Corp. GP106 [GeForce GTX 1060 3GB] [3842:6162] InstallationDate: Installed on 2018-10-28 (54 days ago) InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725) MachineType: Gigabyte Technology Co., Ltd. Default string ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-12-generic root=UUID=a8c839e7-c579-4699-999a-748f804ff9e0 ro quiet splash vt.handoff=1 SourcePackage: xorg Symptom: display UpgradeStatus: Upgraded to cosmic on 2018-12-02 (18 days ago) dmi.bios.date: 06/08/2017 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: F24 dmi.board.asset.tag: Default string dmi.board.name: X99P-SLI-CF dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.asset.tag: Default string dmi.chassis.type: 3 dmi.chassis.vendor: Default string dmi.chassis.version: Default string dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF24:bd06/08/2017:svnGigabyteTechnologyCo.,Ltd.:pnDefaultstring:pvrDefaultstring:rvnGigabyteTechnologyCo.,Ltd.:rnX99P-SLI-CF:rvrx.x:cvnDefaultstring:ct3:cvrDefaultstring: dmi.product.family: Default string dmi.product.name: Default string dmi.product.sku: Default string dmi.product.version: Default string dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.95-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1 version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-3ubuntu2.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1ubuntu1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3 [Impact] The Nvidia (Xorg) driver corrupts the desktop wallpaper (by design [1]) upon resuming from suspend. This creates a poor user experience and gives the impression of severe memory corruption. [1] https://www.khronos.org/registry/OpenGL/extensions/NV/NV_robustness_video_memory_purge.txt [Test Case] [Regression Potential] [Original Report] https://trello.com/c/i5hENxSO Every other wake from sleep presents a corrupted screen with no unlock app. There's a dock and system menu on a black background with pixel garbage. Some personal information in the dock's large window thumbnails. Bitmap garbage flashes on the screen when interacting with anything. Only workaround is doing another sleep-wake cycle. ProblemType: Bug DistroRelease: Ubuntu 18.10 Package: xorg 1:7.7+19ubuntu8 ProcVersionSignature: Ubuntu 4.18.0-12.13-generic 4.18.17 Uname: Linux 4.18.0-12-generic x86_64 NonfreeKernelModules: nvidia_modeset nvidia .proc.driver.nvidia.gpus.0000.4b.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:4b:00.0' .proc.driver.nvidia.registry: Binary: "" .proc.driver.nvidia.version:  NVRM version: NVIDIA UNIX x86_64 Kernel Module 390.87 Tue Aug 21 12:33:05 PDT 2018  GCC version: gcc version 8.2.0 (Ubuntu 8.2.0-7ubuntu1) ApportVersion: 2.20.10-0ubuntu13.1 Architecture: amd64 BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log' CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins' CompositorRunning: None CurrentDesktop: ubuntu:GNOME Date: Thu Dec 20 22:19:29 2018 DistUpgraded: 2018-12-01 23:07:50,385 ERROR got error from PostInstallScript ./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process “./xorg_fix_proprietary.py” (No such file or directory) (8)) DistroCodename: cosmic DistroVariant: ubuntu DkmsStatus:  nvidia, 390.87, 4.18.0-11-generic, x86_64: installed  nvidia, 390.87, 4.18.0-12-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-11-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-12-generic, x86_64: installed ExtraDebuggingInterest: Yes, if not too technical GraphicsCard:  NVIDIA Corporation GP106 [GeForce GTX 1060 3GB] [10de:1c02] (rev a1) (prog-if 00 [VGA controller])    Subsystem: eVga.com. Corp. GP106 [GeForce GTX 1060 3GB] [3842:6162] InstallationDate: Installed on 2018-10-28 (54 days ago) InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725) MachineType: Gigabyte Technology Co., Ltd. Default string ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-12-generic root=UUID=a8c839e7-c579-4699-999a-748f804ff9e0 ro quiet splash vt.handoff=1 SourcePackage: xorg Symptom: display UpgradeStatus: Upgraded to cosmic on 2018-12-02 (18 days ago) dmi.bios.date: 06/08/2017 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: F24 dmi.board.asset.tag: Default string dmi.board.name: X99P-SLI-CF dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.asset.tag: Default string dmi.chassis.type: 3 dmi.chassis.vendor: Default string dmi.chassis.version: Default string dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF24:bd06/08/2017:svnGigabyteTechnologyCo.,Ltd.:pnDefaultstring:pvrDefaultstring:rvnGigabyteTechnologyCo.,Ltd.:rnX99P-SLI-CF:rvrx.x:cvnDefaultstring:ct3:cvrDefaultstring: dmi.product.family: Default string dmi.product.name: Default string dmi.product.sku: Default string dmi.product.version: Default string dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.95-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1 version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-3ubuntu2.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1ubuntu1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3
2019-09-19 11:58:01 Daniel van Vugt description [Impact] The Nvidia (Xorg) driver corrupts the desktop wallpaper (by design [1]) upon resuming from suspend. This creates a poor user experience and gives the impression of severe memory corruption. [1] https://www.khronos.org/registry/OpenGL/extensions/NV/NV_robustness_video_memory_purge.txt [Test Case] [Regression Potential] [Original Report] https://trello.com/c/i5hENxSO Every other wake from sleep presents a corrupted screen with no unlock app. There's a dock and system menu on a black background with pixel garbage. Some personal information in the dock's large window thumbnails. Bitmap garbage flashes on the screen when interacting with anything. Only workaround is doing another sleep-wake cycle. ProblemType: Bug DistroRelease: Ubuntu 18.10 Package: xorg 1:7.7+19ubuntu8 ProcVersionSignature: Ubuntu 4.18.0-12.13-generic 4.18.17 Uname: Linux 4.18.0-12-generic x86_64 NonfreeKernelModules: nvidia_modeset nvidia .proc.driver.nvidia.gpus.0000.4b.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:4b:00.0' .proc.driver.nvidia.registry: Binary: "" .proc.driver.nvidia.version:  NVRM version: NVIDIA UNIX x86_64 Kernel Module 390.87 Tue Aug 21 12:33:05 PDT 2018  GCC version: gcc version 8.2.0 (Ubuntu 8.2.0-7ubuntu1) ApportVersion: 2.20.10-0ubuntu13.1 Architecture: amd64 BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log' CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins' CompositorRunning: None CurrentDesktop: ubuntu:GNOME Date: Thu Dec 20 22:19:29 2018 DistUpgraded: 2018-12-01 23:07:50,385 ERROR got error from PostInstallScript ./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process “./xorg_fix_proprietary.py” (No such file or directory) (8)) DistroCodename: cosmic DistroVariant: ubuntu DkmsStatus:  nvidia, 390.87, 4.18.0-11-generic, x86_64: installed  nvidia, 390.87, 4.18.0-12-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-11-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-12-generic, x86_64: installed ExtraDebuggingInterest: Yes, if not too technical GraphicsCard:  NVIDIA Corporation GP106 [GeForce GTX 1060 3GB] [10de:1c02] (rev a1) (prog-if 00 [VGA controller])    Subsystem: eVga.com. Corp. GP106 [GeForce GTX 1060 3GB] [3842:6162] InstallationDate: Installed on 2018-10-28 (54 days ago) InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725) MachineType: Gigabyte Technology Co., Ltd. Default string ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-12-generic root=UUID=a8c839e7-c579-4699-999a-748f804ff9e0 ro quiet splash vt.handoff=1 SourcePackage: xorg Symptom: display UpgradeStatus: Upgraded to cosmic on 2018-12-02 (18 days ago) dmi.bios.date: 06/08/2017 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: F24 dmi.board.asset.tag: Default string dmi.board.name: X99P-SLI-CF dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.asset.tag: Default string dmi.chassis.type: 3 dmi.chassis.vendor: Default string dmi.chassis.version: Default string dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF24:bd06/08/2017:svnGigabyteTechnologyCo.,Ltd.:pnDefaultstring:pvrDefaultstring:rvnGigabyteTechnologyCo.,Ltd.:rnX99P-SLI-CF:rvrx.x:cvnDefaultstring:ct3:cvrDefaultstring: dmi.product.family: Default string dmi.product.name: Default string dmi.product.sku: Default string dmi.product.version: Default string dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.95-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1 version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-3ubuntu2.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1ubuntu1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3 [Impact] The Nvidia (Xorg) driver corrupts the desktop wallpaper (by design (1)) upon resuming from suspend. This creates a poor user experience and gives the impression of severe memory corruption. (1) https://www.khronos.org/registry/OpenGL/extensions/NV/NV_robustness_video_memory_purge.txt [Test Case] 0. Set up an Nvidia-only system using the proprietary Nvidia Xorg driver. 1. Suspend and resume the machine. Expected: The wallpaper still looks like it did before suspending. Observed: The wallpaper appears corrupt. [Regression Potential] Low. The exact same patch is in Gnome 3.34 (Ubuntu 19.10) already and has been used for a couple of months without issue already. [Original Report] https://trello.com/c/i5hENxSO Every other wake from sleep presents a corrupted screen with no unlock app. There's a dock and system menu on a black background with pixel garbage. Some personal information in the dock's large window thumbnails. Bitmap garbage flashes on the screen when interacting with anything. Only workaround is doing another sleep-wake cycle. ProblemType: Bug DistroRelease: Ubuntu 18.10 Package: xorg 1:7.7+19ubuntu8 ProcVersionSignature: Ubuntu 4.18.0-12.13-generic 4.18.17 Uname: Linux 4.18.0-12-generic x86_64 NonfreeKernelModules: nvidia_modeset nvidia .proc.driver.nvidia.gpus.0000.4b.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:4b:00.0' .proc.driver.nvidia.registry: Binary: "" .proc.driver.nvidia.version:  NVRM version: NVIDIA UNIX x86_64 Kernel Module 390.87 Tue Aug 21 12:33:05 PDT 2018  GCC version: gcc version 8.2.0 (Ubuntu 8.2.0-7ubuntu1) ApportVersion: 2.20.10-0ubuntu13.1 Architecture: amd64 BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log' CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins' CompositorRunning: None CurrentDesktop: ubuntu:GNOME Date: Thu Dec 20 22:19:29 2018 DistUpgraded: 2018-12-01 23:07:50,385 ERROR got error from PostInstallScript ./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process “./xorg_fix_proprietary.py” (No such file or directory) (8)) DistroCodename: cosmic DistroVariant: ubuntu DkmsStatus:  nvidia, 390.87, 4.18.0-11-generic, x86_64: installed  nvidia, 390.87, 4.18.0-12-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-11-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-12-generic, x86_64: installed ExtraDebuggingInterest: Yes, if not too technical GraphicsCard:  NVIDIA Corporation GP106 [GeForce GTX 1060 3GB] [10de:1c02] (rev a1) (prog-if 00 [VGA controller])    Subsystem: eVga.com. Corp. GP106 [GeForce GTX 1060 3GB] [3842:6162] InstallationDate: Installed on 2018-10-28 (54 days ago) InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725) MachineType: Gigabyte Technology Co., Ltd. Default string ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-12-generic root=UUID=a8c839e7-c579-4699-999a-748f804ff9e0 ro quiet splash vt.handoff=1 SourcePackage: xorg Symptom: display UpgradeStatus: Upgraded to cosmic on 2018-12-02 (18 days ago) dmi.bios.date: 06/08/2017 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: F24 dmi.board.asset.tag: Default string dmi.board.name: X99P-SLI-CF dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.asset.tag: Default string dmi.chassis.type: 3 dmi.chassis.vendor: Default string dmi.chassis.version: Default string dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF24:bd06/08/2017:svnGigabyteTechnologyCo.,Ltd.:pnDefaultstring:pvrDefaultstring:rvnGigabyteTechnologyCo.,Ltd.:rnX99P-SLI-CF:rvrx.x:cvnDefaultstring:ct3:cvrDefaultstring: dmi.product.family: Default string dmi.product.name: Default string dmi.product.sku: Default string dmi.product.version: Default string dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.95-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1 version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-3ubuntu2.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1ubuntu1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3
2019-09-19 11:59:46 Daniel van Vugt description [Impact] The Nvidia (Xorg) driver corrupts the desktop wallpaper (by design (1)) upon resuming from suspend. This creates a poor user experience and gives the impression of severe memory corruption. (1) https://www.khronos.org/registry/OpenGL/extensions/NV/NV_robustness_video_memory_purge.txt [Test Case] 0. Set up an Nvidia-only system using the proprietary Nvidia Xorg driver. 1. Suspend and resume the machine. Expected: The wallpaper still looks like it did before suspending. Observed: The wallpaper appears corrupt. [Regression Potential] Low. The exact same patch is in Gnome 3.34 (Ubuntu 19.10) already and has been used for a couple of months without issue already. [Original Report] https://trello.com/c/i5hENxSO Every other wake from sleep presents a corrupted screen with no unlock app. There's a dock and system menu on a black background with pixel garbage. Some personal information in the dock's large window thumbnails. Bitmap garbage flashes on the screen when interacting with anything. Only workaround is doing another sleep-wake cycle. ProblemType: Bug DistroRelease: Ubuntu 18.10 Package: xorg 1:7.7+19ubuntu8 ProcVersionSignature: Ubuntu 4.18.0-12.13-generic 4.18.17 Uname: Linux 4.18.0-12-generic x86_64 NonfreeKernelModules: nvidia_modeset nvidia .proc.driver.nvidia.gpus.0000.4b.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:4b:00.0' .proc.driver.nvidia.registry: Binary: "" .proc.driver.nvidia.version:  NVRM version: NVIDIA UNIX x86_64 Kernel Module 390.87 Tue Aug 21 12:33:05 PDT 2018  GCC version: gcc version 8.2.0 (Ubuntu 8.2.0-7ubuntu1) ApportVersion: 2.20.10-0ubuntu13.1 Architecture: amd64 BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log' CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins' CompositorRunning: None CurrentDesktop: ubuntu:GNOME Date: Thu Dec 20 22:19:29 2018 DistUpgraded: 2018-12-01 23:07:50,385 ERROR got error from PostInstallScript ./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process “./xorg_fix_proprietary.py” (No such file or directory) (8)) DistroCodename: cosmic DistroVariant: ubuntu DkmsStatus:  nvidia, 390.87, 4.18.0-11-generic, x86_64: installed  nvidia, 390.87, 4.18.0-12-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-11-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-12-generic, x86_64: installed ExtraDebuggingInterest: Yes, if not too technical GraphicsCard:  NVIDIA Corporation GP106 [GeForce GTX 1060 3GB] [10de:1c02] (rev a1) (prog-if 00 [VGA controller])    Subsystem: eVga.com. Corp. GP106 [GeForce GTX 1060 3GB] [3842:6162] InstallationDate: Installed on 2018-10-28 (54 days ago) InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725) MachineType: Gigabyte Technology Co., Ltd. Default string ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-12-generic root=UUID=a8c839e7-c579-4699-999a-748f804ff9e0 ro quiet splash vt.handoff=1 SourcePackage: xorg Symptom: display UpgradeStatus: Upgraded to cosmic on 2018-12-02 (18 days ago) dmi.bios.date: 06/08/2017 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: F24 dmi.board.asset.tag: Default string dmi.board.name: X99P-SLI-CF dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.asset.tag: Default string dmi.chassis.type: 3 dmi.chassis.vendor: Default string dmi.chassis.version: Default string dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF24:bd06/08/2017:svnGigabyteTechnologyCo.,Ltd.:pnDefaultstring:pvrDefaultstring:rvnGigabyteTechnologyCo.,Ltd.:rnX99P-SLI-CF:rvrx.x:cvnDefaultstring:ct3:cvrDefaultstring: dmi.product.family: Default string dmi.product.name: Default string dmi.product.sku: Default string dmi.product.version: Default string dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.95-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1 version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-3ubuntu2.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1ubuntu1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3 [Impact] The Nvidia (Xorg) driver corrupts the desktop wallpaper (by design (1)) upon resuming from suspend. This creates a poor user experience and gives the impression of severe memory corruption. (1) https://www.khronos.org/registry/OpenGL/extensions/NV/NV_robustness_video_memory_purge.txt [Test Case] 0. Set up an Nvidia-only system using the proprietary Nvidia Xorg driver. 1. Suspend and resume the machine. Expect: The wallpaper still looks like it did before suspending. [Regression Potential] Low. The exact same patch is in Gnome 3.34 (Ubuntu 19.10) already and has been used for a couple of months without issue already. [Original Report] https://trello.com/c/i5hENxSO Every other wake from sleep presents a corrupted screen with no unlock app. There's a dock and system menu on a black background with pixel garbage. Some personal information in the dock's large window thumbnails. Bitmap garbage flashes on the screen when interacting with anything. Only workaround is doing another sleep-wake cycle. ProblemType: Bug DistroRelease: Ubuntu 18.10 Package: xorg 1:7.7+19ubuntu8 ProcVersionSignature: Ubuntu 4.18.0-12.13-generic 4.18.17 Uname: Linux 4.18.0-12-generic x86_64 NonfreeKernelModules: nvidia_modeset nvidia .proc.driver.nvidia.gpus.0000.4b.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:4b:00.0' .proc.driver.nvidia.registry: Binary: "" .proc.driver.nvidia.version:  NVRM version: NVIDIA UNIX x86_64 Kernel Module 390.87 Tue Aug 21 12:33:05 PDT 2018  GCC version: gcc version 8.2.0 (Ubuntu 8.2.0-7ubuntu1) ApportVersion: 2.20.10-0ubuntu13.1 Architecture: amd64 BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log' CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins' CompositorRunning: None CurrentDesktop: ubuntu:GNOME Date: Thu Dec 20 22:19:29 2018 DistUpgraded: 2018-12-01 23:07:50,385 ERROR got error from PostInstallScript ./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process “./xorg_fix_proprietary.py” (No such file or directory) (8)) DistroCodename: cosmic DistroVariant: ubuntu DkmsStatus:  nvidia, 390.87, 4.18.0-11-generic, x86_64: installed  nvidia, 390.87, 4.18.0-12-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-11-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-12-generic, x86_64: installed ExtraDebuggingInterest: Yes, if not too technical GraphicsCard:  NVIDIA Corporation GP106 [GeForce GTX 1060 3GB] [10de:1c02] (rev a1) (prog-if 00 [VGA controller])    Subsystem: eVga.com. Corp. GP106 [GeForce GTX 1060 3GB] [3842:6162] InstallationDate: Installed on 2018-10-28 (54 days ago) InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725) MachineType: Gigabyte Technology Co., Ltd. Default string ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-12-generic root=UUID=a8c839e7-c579-4699-999a-748f804ff9e0 ro quiet splash vt.handoff=1 SourcePackage: xorg Symptom: display UpgradeStatus: Upgraded to cosmic on 2018-12-02 (18 days ago) dmi.bios.date: 06/08/2017 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: F24 dmi.board.asset.tag: Default string dmi.board.name: X99P-SLI-CF dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.asset.tag: Default string dmi.chassis.type: 3 dmi.chassis.vendor: Default string dmi.chassis.version: Default string dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF24:bd06/08/2017:svnGigabyteTechnologyCo.,Ltd.:pnDefaultstring:pvrDefaultstring:rvnGigabyteTechnologyCo.,Ltd.:rnX99P-SLI-CF:rvrx.x:cvnDefaultstring:ct3:cvrDefaultstring: dmi.product.family: Default string dmi.product.name: Default string dmi.product.sku: Default string dmi.product.version: Default string dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.95-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1 version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-3ubuntu2.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1ubuntu1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3
2019-09-19 12:20:41 Daniel van Vugt description [Impact] The Nvidia (Xorg) driver corrupts the desktop wallpaper (by design (1)) upon resuming from suspend. This creates a poor user experience and gives the impression of severe memory corruption. (1) https://www.khronos.org/registry/OpenGL/extensions/NV/NV_robustness_video_memory_purge.txt [Test Case] 0. Set up an Nvidia-only system using the proprietary Nvidia Xorg driver. 1. Suspend and resume the machine. Expect: The wallpaper still looks like it did before suspending. [Regression Potential] Low. The exact same patch is in Gnome 3.34 (Ubuntu 19.10) already and has been used for a couple of months without issue already. [Original Report] https://trello.com/c/i5hENxSO Every other wake from sleep presents a corrupted screen with no unlock app. There's a dock and system menu on a black background with pixel garbage. Some personal information in the dock's large window thumbnails. Bitmap garbage flashes on the screen when interacting with anything. Only workaround is doing another sleep-wake cycle. ProblemType: Bug DistroRelease: Ubuntu 18.10 Package: xorg 1:7.7+19ubuntu8 ProcVersionSignature: Ubuntu 4.18.0-12.13-generic 4.18.17 Uname: Linux 4.18.0-12-generic x86_64 NonfreeKernelModules: nvidia_modeset nvidia .proc.driver.nvidia.gpus.0000.4b.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:4b:00.0' .proc.driver.nvidia.registry: Binary: "" .proc.driver.nvidia.version:  NVRM version: NVIDIA UNIX x86_64 Kernel Module 390.87 Tue Aug 21 12:33:05 PDT 2018  GCC version: gcc version 8.2.0 (Ubuntu 8.2.0-7ubuntu1) ApportVersion: 2.20.10-0ubuntu13.1 Architecture: amd64 BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log' CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins' CompositorRunning: None CurrentDesktop: ubuntu:GNOME Date: Thu Dec 20 22:19:29 2018 DistUpgraded: 2018-12-01 23:07:50,385 ERROR got error from PostInstallScript ./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process “./xorg_fix_proprietary.py” (No such file or directory) (8)) DistroCodename: cosmic DistroVariant: ubuntu DkmsStatus:  nvidia, 390.87, 4.18.0-11-generic, x86_64: installed  nvidia, 390.87, 4.18.0-12-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-11-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-12-generic, x86_64: installed ExtraDebuggingInterest: Yes, if not too technical GraphicsCard:  NVIDIA Corporation GP106 [GeForce GTX 1060 3GB] [10de:1c02] (rev a1) (prog-if 00 [VGA controller])    Subsystem: eVga.com. Corp. GP106 [GeForce GTX 1060 3GB] [3842:6162] InstallationDate: Installed on 2018-10-28 (54 days ago) InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725) MachineType: Gigabyte Technology Co., Ltd. Default string ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-12-generic root=UUID=a8c839e7-c579-4699-999a-748f804ff9e0 ro quiet splash vt.handoff=1 SourcePackage: xorg Symptom: display UpgradeStatus: Upgraded to cosmic on 2018-12-02 (18 days ago) dmi.bios.date: 06/08/2017 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: F24 dmi.board.asset.tag: Default string dmi.board.name: X99P-SLI-CF dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.asset.tag: Default string dmi.chassis.type: 3 dmi.chassis.vendor: Default string dmi.chassis.version: Default string dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF24:bd06/08/2017:svnGigabyteTechnologyCo.,Ltd.:pnDefaultstring:pvrDefaultstring:rvnGigabyteTechnologyCo.,Ltd.:rnX99P-SLI-CF:rvrx.x:cvnDefaultstring:ct3:cvrDefaultstring: dmi.product.family: Default string dmi.product.name: Default string dmi.product.sku: Default string dmi.product.version: Default string dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.95-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1 version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-3ubuntu2.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1ubuntu1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3 [Impact] The Nvidia (Xorg) driver corrupts the desktop wallpaper (by design (1)) upon resuming from suspend. This creates a poor user experience and gives the impression of severe memory corruption. (1) https://www.khronos.org/registry/OpenGL/extensions/NV/NV_robustness_video_memory_purge.txt [Test Case] 0. Set up an Nvidia-only system using the proprietary Nvidia Xorg driver. 1. Suspend and resume the machine. Expect: The wallpaper still looks like it did before suspending. [Regression Potential] Low. The exact same patch is in Gnome 3.34 (Ubuntu 19.10) already and has been used for a couple of months without issue. [Original Report] https://trello.com/c/i5hENxSO Every other wake from sleep presents a corrupted screen with no unlock app. There's a dock and system menu on a black background with pixel garbage. Some personal information in the dock's large window thumbnails. Bitmap garbage flashes on the screen when interacting with anything. Only workaround is doing another sleep-wake cycle. ProblemType: Bug DistroRelease: Ubuntu 18.10 Package: xorg 1:7.7+19ubuntu8 ProcVersionSignature: Ubuntu 4.18.0-12.13-generic 4.18.17 Uname: Linux 4.18.0-12-generic x86_64 NonfreeKernelModules: nvidia_modeset nvidia .proc.driver.nvidia.gpus.0000.4b.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:4b:00.0' .proc.driver.nvidia.registry: Binary: "" .proc.driver.nvidia.version:  NVRM version: NVIDIA UNIX x86_64 Kernel Module 390.87 Tue Aug 21 12:33:05 PDT 2018  GCC version: gcc version 8.2.0 (Ubuntu 8.2.0-7ubuntu1) ApportVersion: 2.20.10-0ubuntu13.1 Architecture: amd64 BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log' CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins' CompositorRunning: None CurrentDesktop: ubuntu:GNOME Date: Thu Dec 20 22:19:29 2018 DistUpgraded: 2018-12-01 23:07:50,385 ERROR got error from PostInstallScript ./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process “./xorg_fix_proprietary.py” (No such file or directory) (8)) DistroCodename: cosmic DistroVariant: ubuntu DkmsStatus:  nvidia, 390.87, 4.18.0-11-generic, x86_64: installed  nvidia, 390.87, 4.18.0-12-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-11-generic, x86_64: installed  virtualbox, 5.2.18, 4.18.0-12-generic, x86_64: installed ExtraDebuggingInterest: Yes, if not too technical GraphicsCard:  NVIDIA Corporation GP106 [GeForce GTX 1060 3GB] [10de:1c02] (rev a1) (prog-if 00 [VGA controller])    Subsystem: eVga.com. Corp. GP106 [GeForce GTX 1060 3GB] [3842:6162] InstallationDate: Installed on 2018-10-28 (54 days ago) InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725) MachineType: Gigabyte Technology Co., Ltd. Default string ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-12-generic root=UUID=a8c839e7-c579-4699-999a-748f804ff9e0 ro quiet splash vt.handoff=1 SourcePackage: xorg Symptom: display UpgradeStatus: Upgraded to cosmic on 2018-12-02 (18 days ago) dmi.bios.date: 06/08/2017 dmi.bios.vendor: American Megatrends Inc. dmi.bios.version: F24 dmi.board.asset.tag: Default string dmi.board.name: X99P-SLI-CF dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.asset.tag: Default string dmi.chassis.type: 3 dmi.chassis.vendor: Default string dmi.chassis.version: Default string dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF24:bd06/08/2017:svnGigabyteTechnologyCo.,Ltd.:pnDefaultstring:pvrDefaultstring:rvnGigabyteTechnologyCo.,Ltd.:rnX99P-SLI-CF:rvrx.x:cvnDefaultstring:ct3:cvrDefaultstring: dmi.product.family: Default string dmi.product.name: Default string dmi.product.sku: Default string dmi.product.version: Default string dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.95-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1 version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-3ubuntu2.1 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1ubuntu1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3
2019-09-23 12:43:08 riccardo bug added subscriber riccardo
2019-09-28 14:56:05 Konrad Eder bug added subscriber Konrad Eder
2019-10-03 22:54:07 mohamed ghassen mutter (Ubuntu Bionic): status Confirmed New
2019-10-03 22:55:10 mohamed ghassen mutter (Ubuntu Bionic): status New Incomplete
2019-10-04 01:40:01 Daniel van Vugt mutter (Ubuntu Bionic): status Incomplete Confirmed
2019-10-04 07:55:51 Daniel van Vugt mutter (Ubuntu Bionic): status Confirmed Incomplete
2019-10-08 03:43:42 Daniel van Vugt mutter (Ubuntu Bionic): status Incomplete Invalid
2019-10-08 06:03:58 Chris Ayoub removed subscriber Chris Ayoub
2019-10-09 06:34:33 Daniel van Vugt mutter (Ubuntu Bionic): status Invalid Incomplete
2019-10-22 03:47:49 Daniel van Vugt bug task deleted mutter (Ubuntu Bionic)
2019-10-23 09:29:21 Daniel van Vugt mutter (Ubuntu Disco): status In Progress Won't Fix
2019-11-09 14:23:40 Stuardo -StR- Rodríguez attachment added nvidia.png https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/1809407/+attachment/5304074/+files/nvidia.png
2019-11-13 10:16:23 b8e5n bug added subscriber b8e5n
2019-12-02 14:26:41 manojav attachment added Screenshot from 2019-12-02 09-20-59.png https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/1809407/+attachment/5309271/+files/Screenshot%20from%202019-12-02%2009-20-59.png